| Home | Libraries | People | FAQ | More

##### basic_socket_streambuf::open (2 of 2 overloads)

Inherited from basic_socket.

Open the socket using the specified protocol.

    boost::system::error_code open(
        const protocol_type & protocol,
        boost::system::error_code & ec);

This function opens the socket so that it will use the specified protocol.

###### Parameters

protocol

  An object specifying which protocol is to be used.

ec

  Set to indicate what error occurred, if any.

###### Example

    boost::asio::ip::tcp::socket socket(io_service);
    boost::system::error_code ec;
    socket.open(boost::asio::ip::tcp::v4(), ec);
    if (ec)
    {
      // An error occurred.
    }